Bug 117844 - Please add section to logrotate.conf for "/var/log/btmp"
Please add section to logrotate.conf for "/var/log/btmp"
Product: Fedora
Classification: Fedora
Component: logrotate (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-03-09 03:33 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-13 07:36:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-03-09 03:33:29 EST
Description of problem:
If the sysadmin creates /var/log/btmp (bad logins file), it will never
get rotated by default.

IMHO, it would be good to add the following to the default

/var/log/btmp {
        create 0400 root root (or 0440 root wheel)
        rotate 1

Version-Release number of selected component (if applicable):

Comment 1 Petri T. Koistinen 2004-03-18 13:02:30 EST
What program creates by default /var/log/btmp file?
Comment 2 Need Real Name 2004-03-18 13:08:01 EST
None that I know of, which is why I said "If the sysadmin creates
/var/log/btmp."  If he does so, login(1) will keep writing to the same
file and it will never be rotated.

IMHO it would be a good idea for the OS installer to "touch" the file
(mode 0400), but maybe that is a separate issue for the 'setup' package?

Note You need to log in before you can comment on or make changes to this bug.